3 Replies Latest reply: Jul 8, 2010 10:23 PM by 807557 RSS

    Java 6 compatibility

    807557
      What are the plans for JRTS compatibility with Java 6?
      We reverted our product to java 5 in order to make evaluation of JRTS, and it was not a simple operation, plus we made lots of temporary changes which are not good for production.
        • 1. Re: Java 6 compatibility
          807557
          While we are always considering future plans based on customer demand and feedback, there are no announced plans for Java 6 support in Java RTS at this time.

          David Holmes
          Oracle Corporation
          • 2. Re: Java 6 compatibility
            807557
            This is really unfortunate because so many features and tools are only available with 1.6. Such as the latest Yourkit profiler.. Or the HotSpotDiagnosticMxBean requires Java 6... It's frustrating to determine where our performance issues are when so much requires 6 and doesnt support 5.

            I dont understand why there are no plans to go to 6. I would think there's a real need for it and that you would have a migration strategy
            • 3. Re: Java 6 compatibility
              807557
              Due to the significant internal differences between the Java RTS VM and regular Java SE Hotspot VM, some tools can not work with Java RTS and others have limited functionality - regular profiling in particular is too disruptive to real-time execution and is not supported in java RTS. This situation is unchanged if Java RTS were to support Java 6 APIs.

              For more information on tool support please see:

              http://download.oracle.com/docs/cd/E17409_01/javase/realtime/doc_2.2u1/release/JavaRTS-T3.html

              David Holmes
              Oracle

              Edited by: davidholmes on Jul 9, 2010 1:22 PM